.ripple-container {
	position: absolute;
	top: 0;
	left: 0;
	overflow: hidden;

	.ripple {
		position: absolute;
		top: 0;
		left: 0;

		width: 100%;
		padding-bottom: 100%;

		animation: ripple-animation 0.6s ease-out;
		animation-fill-mode: forwards;

		border-radius: 50%;
	
		&.light-ripple {
			background: white;
		}
	
		&.black-ripple {
			background: black;
		}

		@keyframes ripple-animation {
			0% { 
				opacity: .8;
				transform: translate(-50%, -50%) scale(0);
			 }
			100% { 
				opacity: 0;
				transform: translate(-50%, -50%) scale(2);
			}
		}
	}
}